<?php

error_reporting(E_ALL);
ini_set('display_errors', 1);

class ControllerExtensionModulePavinfobox extends Controller {
	private $error = array();
	private $data = array();

	public function index() {

		$this->data['objlang'] = $this->language;
		$this->data['objurl'] = $this->url;

		$this->load->language('extension/module/pavinfobox');
		$this->load->model('extension/module');
		$this->load->model('extension/extension');
		$this->load->model('tool/image');
		$this->load->model('setting/setting');

		$this->document->setTitle($this->language->get('heading_title'));

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			
			if (!isset($this->request->get['module_id'])) {
				$this->model_extension_module->addModule('pavinfobox', $this->request->post);
				$this->response->redirect($this->url->link('extension/module/pavinfobox', 'token=' . $this->session->data['token'], 'SSL'));
			} else {
				$this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
				$this->response->redirect($this->url->link('extension/module/pavinfobox', 'token=' . $this->session->data['token'].'&module_id='.$this->request->get['module_id'], 'SSL'));
			}

			$this->session->data['success'] = $this->language->get('text_success');
		}

		$this->_language();
		$this->_breadcrumbs();
 		$this->_alert();
		$this->_action();

		$this->data['header'] = $this->load->controller('common/header');
		$this->data['column_left'] = $this->load->controller('common/column_left');
		$this->data['footer'] = $this->load->controller('common/footer');
		$this->response->setOutput($this->load->view('extension/module/pavinfobox.tpl', $this->data));
	}

	public function _action(){
		if (!isset($this->request->get['module_id'])) {
			$this->data['action'] = $this->url->link('extension/module/pavinfobox', 'token=' . $this->session->data['token'], 'SSL');
		} else {
			$this->data['action'] = $this->url->link('extension/module/pavinfobox', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
		}
		$this->data['cancel'] = $this->url->link('extension/extension', 'token=' . $this->session->data['token'].'&type=module', 'SSL');

		// GET DATA SETTING
		if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
		}

		// DATA
		if (isset($this->request->post['testimonial_item'])) {
			$testimonials = $this->request->post['testimonial_item'];
		} elseif (!empty($module_info)) {
			$testimonials = isset($module_info['testimonial_item'])?$module_info['testimonial_item']:array();
		} else {
			$testimonials = array();
		}

		$temp = array();
		$this->load->model('tool/image');
		foreach ($testimonials as $item) {
			if (is_file(DIR_IMAGE . $item['image'])) {
				$image = $item['image'];
				$thumb = $item['image'];
			} else {
				$image = '';
				$thumb = 'no_image.png';
			}
			if (is_file(DIR_IMAGE . $item['large_image'])) {
				$large_image = $item['large_image'];
				$large_thumb = $item['large_image'];
			} else {
				$large_image = '';
				$large_thumb = 'no_image.png';
			}

			$temp[] = array(
				'description' => $item['description'],
				'image'       => $image,
				'thumb'       => $this->model_tool_image->resize($thumb, 50, 50),

				'large_image' => $large_image,
				'large_thumb' => $this->model_tool_image->resize($large_thumb, 50, 50),
				'name'        => $item['name'],
				'job'         => $item['job'],
			);
		}
		//echo "<pre>"; print_r($temp); die;

		$this->data['testimonials'] = $temp;

		// NAME
		if (isset($this->request->post['name'])) {
			$this->data['name'] = $this->request->post['name'];
		} elseif (!empty($module_info)) {
			$this->data['name'] = $module_info['name'];
		} else {
			$this->data['name'] = 'Module Name';
		}

		// STATUS
		if (isset($this->request->post['status'])) {
			$this->data['status'] = $this->request->post['status'];
		} elseif (!empty($module_info)) {
			$this->data['status'] = $module_info['status'];
		} else {
			$this->data['status'] = 1;
		}

		// limit
		if (isset($this->request->post['limit'])) {
			$this->data['limit'] = $this->request->post['limit'];
		} elseif (!empty($module_info)) {
			$this->data['limit'] = $module_info['limit'];
		} else {
			$this->data['limit'] = '4';
		}
		
				// resize_thumb
		if (isset($this->request->post['resize_thumb'])) {
			$this->data['resize_thumb'] = $this->request->post['resize_thumb'];
		} elseif (!empty($module_info)) {
			$this->data['resize_thumb'] = $module_info['resize_thumb'];
		} else {
			$this->data['resize_thumb'] = '50x50';
		}
		
						// resize_thumb
		if (isset($this->request->post['resize_large_thumb'])) {
			$this->data['resize_large_thumb'] = $this->request->post['resize_large_thumb'];
		} elseif (!empty($module_info)) {
			$this->data['resize_large_thumb'] = $module_info['resize_large_thumb'];
		} else {
			$this->data['resize_large_thumb'] = '400x400';
		}
		
	}

	public function _alert(){
		// Alert 
 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		if (isset($this->session->data['success'])) {
			$this->data['success'] = $this->session->data['success'];
			unset($this->session->data['success']);
		} else {
			$this->data['success'] = '';
		}
	}

	public function _language(){
		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_image_manager'] = $this->language->get('text_image_manager');
 		$this->data['text_browse'] = $this->language->get('text_browse');
		$this->data['text_clear'] = $this->language->get('text_clear');

		$this->data['text_edit'] = $this->language->get('text_edit');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');

		$this->data['entry_title'] = $this->language->get('entry_title');

		$this->data['entry_description'] = $this->language->get('entry_description');
		$this->data['entry_status'] = $this->language->get('entry_status');

		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['button_module_add'] = $this->language->get('button_module_add');

		$this->data['entry_module_title'] = $this->language->get( 'entry_module_title' );
		$this->data['entry_profile']	= $this->language->get( 'entry_profile' );

		$this->data['tab_module'] = $this->language->get('tab_module');

		$this->load->model('localisation/language');
		$this->data['languages'] = $this->model_localisation_language->getLanguages();

		$this->data['placeholder'] = $this->model_tool_image->resize('no_image.png', 50, 50);
	}

	public function _breadcrumbs(){
		$this->data['breadcrumbs'] = array();
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/extension', 'token=' . $this->session->data['token'].'&type=module', 'SSL'),
      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('extension/module/pavinfobox', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'extension/module/pavinfobox')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		if (!$this->error) {
			return true;
		} else {
			return false;
		}
	}
}
?>
