<?php
class ControllermodulePavinfobox extends Controller {

	private $data =  array();

	public function index( $setting ) {
		$this->load->language('module/pavinfobox');
		$this->load->model('tool/image');

		$this->data['heading_title'] = $this->language->get('heading_title');

		// merge data
		$default = array(
			'limit' => 4,
			'testimonial_item' => array(),
			'resize_thumb'	=> '50x50',
			'resize_large_thumb'	=> '400x400'
		);
		$setting = array_merge($default, $setting);
		$results = array();
		foreach ($setting['testimonial_item'] as $item) {
			if (is_file(DIR_IMAGE . $item['image'])) {
				$image = $item['image'];
				$thumb = $item['image'];
			} else {
				$image = '';
				$thumb = 'no_image.png';
			}
			if (is_file(DIR_IMAGE . $item['large_image'])) {
				$large_image = $item['large_image'];
				$large_thumb = $item['large_image'];
			} else {
				$large_image = '';
				$large_thumb = 'no_image.png';
			}
			
			$resize_thumb = explode('x',$setting['resize_thumb']);
			$resize_large_thumb = explode('x',$setting['resize_large_thumb']);
		
			$results[] = array(

				'description' => $item['description'],
				'image'       => $image,
				'thumb'       => $this->model_tool_image->resize($thumb, $resize_thumb[0], $resize_thumb[1]),

				'large_image' => $large_image,
				'large_thumb' => $this->model_tool_image->resize($large_thumb, $resize_large_thumb[0], $resize_large_thumb[1]),
				'name'        => $item['name'],
				'job'         => $item['job'],
			);
		}

		$this->data['languageID'] = $this->config->get('config_language_id');


		$this->data['results'] = $results;
        
		return $this->load->view('module/pavinfobox', $this->data);
		
	}
}
?>
